View Issue Details

IDProjectCategoryView StatusLast Update
0001097OpenFOAM[All Projects] Bugpublic2015-01-01 13:38
Reporteruser600Assigned Tohenry 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04 LTS x64
Product Version 
Fixed in Version 
Summary0001097: Error during reconstructing lagarangian fields
DescriptionIn the case that a large amount of parcels is in a close vicinity of a wall,
the reconstruction of lagrangian fields crashes with error:

Reconstructing lagrangian fields for cloud sprayCloud


cell, tetFace and tetPt search failure at position (-0.0392443485 -0.0051150567 -0.0769150187)
for requested cell 158

    From function void Foam::particle::initCellFacePt()
    in file particle/particleI.H at line 758.

FOAM aborting

#0 Foam::error::printStack(Foam::Ostream&) in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
#1 Foam::error::abort() in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
#2 Foam::particle::initCellFacePt() in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/lib/liblagrangian.so"
#3 Foam::Cloud<Foam::passiveParticle>::initCloud(bool) in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/lib/liblagrangian.so"
#4 Foam::reconstructLagrangianPositions(Foam::polyMesh const&, Foam::word const&, Foam::PtrList<Foam::fvMesh> const&, Foam::PtrList<Foam::IOList<int> > const&, Foam::PtrList<Foam::IOList<int> > const&) in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/lib/libreconstruct.so"
#5
 in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/bin/reconstructPar"
#6 __libc_start_main in "/lib/x86_64-linux-gnu/libc.so.6"
#7
 in "/usr/users/novakm/OpenFOAM/OpenFOAM-2.2.x/platforms/linux64GccDPOpt/bin/reconstructPar"
Aborted (core dumped)
Steps To Reproducedescribed in thread
http://www.cfd-online.com/Forums/openfoam/126792-error-during-reconstructing-lagarangian-fields.html
Additional Informationversion: 2.2.x-bb3cd2f01495

Reconstruction with version 1.6-ext runs without error
TagsNo tags attached.

Activities

wyldckat

2014-12-29 18:23

updater   ~0003409

Notes:
1. This seems related to http://www.openfoam.org/mantisbt/view.php?id=1461 - which provides a possible solution.

2. In posts #8, #9 and #10 in the mentioned forum thread, there is some more information that might help diagnose this issue: http://www.cfd-online.com/Forums/openfoam/126792-error-during-reconstructing-lagarangian-fields.html#post489312

henry

2015-01-01 13:38

manager   ~0003433

Resolved by commits:
    commit 3891c6ada0248435ad62a30f30e7d0be9df8abd5
    commit 7200eb272ab8dd0d754552edfa0753d4c5a15983

See also the discussion in thread
    http://www.openfoam.org/mantisbt/view.php?id=1461

Issue History

Date Modified Username Field Change
2013-11-29 11:39 user600 New Issue
2014-12-29 18:23 wyldckat Note Added: 0003409
2015-01-01 13:38 henry Note Added: 0003433
2015-01-01 13:38 henry Status new => resolved
2015-01-01 13:38 henry Resolution open => fixed
2015-01-01 13:38 henry Assigned To => henry